# -*- encoding: utf-8 -*-
# stub: primitive_wrapper 2.3.0 ruby lib

Gem::Specification.new do |s|
  s.name = "primitive_wrapper".freeze
  s.version = "2.3.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Bryan Colvin".freeze]
  s.bindir = "exe".freeze
  s.date = "2018-03-26"
  s.description = "This gem creates a thin shell to encapsulate primitive literal types such as integers, floats and symbols.\nThere are a family of wrappers which mimic the behavior of what they contain.\nPrimitive types have several drawbacks: no constructor to call, can't create instance variables, and can't create singleton methods.\nThere is some utility in wrapping a primitive type. You can simulate a call by reference for example.\nYou can also simulate mutability, and pointers.\nSome wrappers are dedicated to holding a single type while others may hold a family of types such as the `Number` wrapper.\nWhat is interesting to note is Number objects do not derive from `Numeric`, but instead derive from `Value` (the wrapper base class);\nbut at the same time, `Number` objects mimic the methods of `Fixnum`, `Complex`, `Float`, etc.\nMany of the wrappers can be used in an expression without having to call an access method.\nThere are also new types: `Bool` which wraps `true,false` and `Property` which wraps `Hash` types.\nThe `Property` object auto-methodizes the key names of the Hash.\nAlso `Fraction` supports mixed fractions.".freeze
  s.email = ["bryan@bdlsys.com".freeze]
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.2.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Thin wrapper for primitive literals".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<blockify>.freeze, ["~> 0.2", ">= 0.2.0"])
    s.add_runtime_dependency(%q<yieldhelper>.freeze, ["~> 0.1", ">= 0.1.0"])
    s.add_runtime_dependency(%q<pred>.freeze, ["~> 0.1", ">= 0.1.2"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.11"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<byebug>.freeze, ["~> 5.0", ">= 5.0.0"])
  else
    s.add_dependency(%q<blockify>.freeze, ["~> 0.2", ">= 0.2.0"])
    s.add_dependency(%q<yieldhelper>.freeze, ["~> 0.1", ">= 0.1.0"])
    s.add_dependency(%q<pred>.freeze, ["~> 0.1", ">= 0.1.2"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.11"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_dependency(%q<byebug>.freeze, ["~> 5.0", ">= 5.0.0"])
  end
end
